%define name perl-Curses
%define realname Curses
%define version 1.06
%define release 5mdk

Name:		%{name}
Summary:	Perl module for character screen handling and windowing
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Development/Perl
URL:		http://www.cpan.org
Source:		%{realname}-%{version}.tar.bz2
Requires:	ncurses
BuildRequires:	perl-devel ncurses-devel
Buildroot:	%{_tmppath}/%{name}-buildroot
Patch: Curses-1.06-fix-Perl_sv_isa.patch.bz2

%description
Curses is the interface between Perl and your system's curses(3) library. 


%prep -q
rm -rf $RPM_BUILD_ROOT
%setup -n %{realname}-%{version}
%patch0 -p1

%build
mkdir -p %{buildroot}
#cp -a $RPM_BUILD_DIR/%{realname}-%{version}/hints/c-linux.ncurses.h \
#  $RPM_BUILD_DIR/%{realname}-%{version}/c-config.h
CFLAGS="$RPM_OPT_FLAGS" %{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%install
make PREFIX=%{buildroot}%{_prefix} install

%clean
rm -rf $RPM_BUILD_ROOT 

%files
%defattr(-,root,root)
%doc Artistic Copying INSTALL MANIFEST README
%{perl_vendorarch}/auto/Curses
%{perl_vendorarch}/Curses*
%{_mandir}/*/*


%changelog
* Fri Jan 17 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.06-5mdk
- rebuild

* Mon Aug  5 2002 Pixel <pixel@mandrakesoft.com> 1.06-4mdk
- rebuild for perl thread-multi
- fix build with thread-multi

* Tue Jul  9 2002 Pixel <pixel@mandrakesoft.com> 1.06-3mdk
- rebuild for perl 5.8.0
- cleanup

* Tue Oct 16 2001 Stefan van der Eijk <stefan@eijk.nu> 1.06-2mdk
- BuildRequires: perl-devel ncurses-devel

* Fri Aug 31 2001 Franois Pons <fpons@mandrakesoft.com> 1.06-1mdk
- 1.06.

* Sun Jun 17 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 1.05-3mdk
- Rebuild this against the latest perl.

* Tue Sep 12 2000 Lenny Cartier <lenny@mandrakesoft.com> 1.05-2mdk
- BM

* Sat Jul 22 2000 Vincent Danen <vdanen@mandrakesoft.com> 1.05-1mdk
- 1.05
- macroization

* Wed Jun 14 2000 Vincent Danen <vdanen@linux-mandrake.com> 1.02-1mdk
- initial specfile
- bzip sources
